
Name: raptor2
Version: 2.0.16
Release: alt1

Group: Development/Other
Summary: RDF Parser Toolkit for Redland
Url: http://librdf.org/raptor/
License: Apache-2.0 OR GPL-2.0-or-later OR LGPL-2.1-or-later

# /usr/bin/rapper
Conflicts: raptor

Source: http://download.librdf.org/source/raptor2-%version.tar.gz
# SuSE
Patch100: raptor-libxml2-2.11-support.patch

# Automatically added by buildreq on Thu Sep 01 2011 (-bi)
# optimized out: elfutils libxml2-devel pkg-config
#BuildRequires: flex glibc-devel-static gtk-doc libcurl-devel libexpat-devel libxslt-devel libyajl-devel
BuildRequires: flex glibc-devel gtk-doc libcurl-devel libexpat-devel libxslt-devel libyajl-devel libxml2-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n libraptor2
Summary: %name core library
Group: System/Libraries
%description -n libraptor2
%name core library.

%package devel
Group: Development/Other
Summary: Development files for %name
%description devel
%summary.

%prep
%setup
%patch100 -p1

# hack to nuke rpaths
%if "%_libdir" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%_lib %_libdir|' configure
%endif


%build
%configure \
    --disable-static \
    --enable-release
%make_build


%install
%make DESTDIR=%buildroot install


%files
%_bindir/rapper
%_man1dir/rapper*

%files -n libraptor2
%doc AUTHORS ChangeLog NEWS README
%doc COPYING* LICENSE*.txt
%_libdir/libraptor2.so.*

%files devel
%doc UPGRADING.html
%doc %_datadir/gtk-doc/html/raptor2/
%_includedir/raptor2/
%_libdir/libraptor2.so
%_libdir/pkgconfig/raptor2.pc
%_man3dir/libraptor2*


%changelog
* Mon Dec 25 2023 Sergey V Turchin <zerg@altlinux.org> 2.0.16-alt1
- new version (fixes: CVE-2017-18926 CVE-2020-25713) (closes: 48916)

* Wed Nov 26 2014 Sergey V Turchin <zerg@altlinux.org> 2.0.15-alt1
- new version

* Fri Jun 06 2014 Sergey V Turchin <zerg@altlinux.org> 2.0.14-alt0.M70P.1
- built for M70P

* Thu Jun 05 2014 Sergey V Turchin <zerg@altlinux.org> 2.0.14-alt1
- new version

* Tue Apr 01 2014 Sergey V Turchin <zerg@altlinux.org> 2.0.13-alt0.M70P.1
- built for M70P

* Wed Mar 26 2014 Sergey V Turchin <zerg@altlinux.org> 2.0.13-alt1
- new version

* Tue Apr 02 2013 Sergey V Turchin <zerg@altlinux.org> 2.0.9-alt1
- new version

* Fri May 25 2012 Sergey V Turchin <zerg@altlinux.org> 2.0.7-alt0.M60P.1
- build for M60P

* Thu May 24 2012 Sergey V Turchin <zerg@altlinux.org> 2.0.7-alt1
- new version

* Thu Sep 01 2011 Sergey V Turchin <zerg@altlinux.org> 2.0.4-alt0.M60P.1
- built for M60P

* Thu Sep 01 2011 Sergey V Turchin <zerg@altlinux.org> 2.0.4-alt1
- initial build
